using Newtonsoft.Json;

namespace OF_DL.Models.Dtos.Subscriptions;

public class SubscribeDto
{
    [JsonProperty("id")] public object Id { get; set; } = new();

    [JsonProperty("userId")] public long? UserId { get; set; }

    [JsonProperty("subscriberId")] public int? SubscriberId { get; set; }

    [JsonProperty("date")] public DateTime? Date { get; set; }

    [JsonProperty("duration")] public int? Duration { get; set; }

    [JsonProperty("startDate")] public DateTime? StartDate { get; set; }

    [JsonProperty("expireDate")] public DateTime? ExpireDate { get; set; }

    [JsonProperty("cancelDate")] public object CancelDate { get; set; } = new();

    [JsonProperty("price")] public string? Price { get; set; }

    [JsonProperty("regularPrice")] public string? RegularPrice { get; set; }

    [JsonProperty("discount")] public string? Discount { get; set; }

    [JsonProperty("action")] public string Action { get; set; } = "";

    [JsonProperty("type")] public string Type { get; set; } = "";

    [JsonProperty("offerStart")] public object OfferStart { get; set; } = new();

    [JsonProperty("offerEnd")] public object OfferEnd { get; set; } = new();

    [JsonProperty("isCurrent")] public bool? IsCurrent { get; set; }
}
